package com.javaseleniumtemplate.tests.Estoque;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.RecalculoDeEstoqueFlows;
import com.javaseleniumtemplate.pages.EstoquePages.RecalculoDeEstoquePage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;

public class RecalculoDeEstoqueTests extends TestBase {
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    RecalculoDeEstoqueFlows recalculoDeEstoqueFlows;
    RecalculoDeEstoquePage recalculoDeEstoquePage;


    @Test (description = "Est-02")
    public void realizarRecalculoDeEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        recalculoDeEstoqueFlows = new RecalculoDeEstoqueFlows();
        recalculoDeEstoquePage = new RecalculoDeEstoquePage();



        //Parameteres_lancamento
        String campoUnidade = "HELA INGREDIENTES BRASIL";
        String campoAlmoxarifado = "HELA MATRIZ";
        String campoProdutoInicial = "Hela Poultry Broth Paste Clear";
        String campoProdutoFinal = "Hela Crema Di Balsamico Lemon 380Ml";



        //Rotinas
        loginFlows.efetuarLogin();
        mainFlows.AcessandoRecalculoDeEstoque();
        recalculoDeEstoqueFlows.realizarRecalculoDeEstoque(campoUnidade,campoAlmoxarifado, campoProdutoInicial, campoProdutoFinal);

    }
}
